interface SelectAddressButtonProps {
  buttonDisabled: boolean;
  redirectFunc: () => void;
}

export default function SelectAddressButton({
  buttonDisabled,
  redirectFunc,
}: SelectAddressButtonProps) {
  return (
    <button
      type="button"
      disabled={buttonDisabled}
      onClick={redirectFunc}
      className="focus:shadow-outline mt-3 rounded bg-brandtan px-4 py-2 font-bold text-white shadow hover:bg-hovertan focus:outline-none disabled:opacity-25 disabled:hover:bg-brandtan"
    >
      Select Address
    </button>
  );
}
